#! /bin/sh /usr/share/dpatch/dpatch-run
## 06_catch-exception.dpatch by  <nslater@tumbolia.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Log errors to STDOUT instead of IRC.

@DPATCH@
diff -urNad phenny-2~hg28~/irc.py phenny-2~hg28/irc.py
--- phenny-2~hg28~/irc.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/irc.py	2009-05-04 18:30:56.000000000 +0100
@@ -157,20 +157,9 @@
    def error(self, origin): 
       try: 
          import traceback
-         trace = traceback.format_exc()
-         print trace
-         lines = list(reversed(trace.splitlines()))
-
-         report = [lines[0].strip()]
-         for line in lines: 
-            line = line.strip()
-            if line.startswith('File "/'): 
-               report.append(line[0].lower() + line[1:])
-               break
-         else: report.append('source unknown')
-
-         self.msg(origin.sender, report[0] + ' (' + report[1] + ')')
-      except: self.msg(origin.sender, "Got an error.")
+         print >> sys.stderr, traceback.format_exc()
+      except:
+         print >> sys.stderr, "Unknown error."
 
 class TestBot(Bot): 
    def f_ping(self, origin, match, args): 
